Bug 380381 - zsh: home/end buttons not working in zsh on F8
zsh: home/end buttons not working in zsh on F8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zsh (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 11:41 EST by Josef Bacik
Modified: 2009-01-09 00:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:11:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josef Bacik 2007-11-13 11:41:29 EST
Description of problem:
The home/end buttons are not doing what they are supposed to in zsh in F8.  If 
I hit either of them I just get weird characters in my terminal.  I've tested 
this with urxvt,xterm,yakuake and gnome-terminal and I get the same behavior.  
This was working in F7.

Version-Release number of selected component (if applicable):
zsh-4.3.4-4.fc8.x86_64

How reproducible:
everytime

Steps to Reproduce:
1.type a long command
2.hit the home button
  
Actual results:
I get a ~ instead of going to the start of the line

Expected results:
I should go to the start/end of the line where appropriate.
Comment 1 Daniel Qarras 2008-08-31 12:57:48 EDT
I removed all my ~/.z* files and also saw this with zsh-4.3.4-8.fc9.i386. I tested on Linux console / xterm /gnome-terminal and was able to produce the following set of bindkey commands, with them backspace/delete/insert/home/end/pgup/pgdown work for me on those three terminals when using zsh.

Perhaps these could be added to /etc/zshrc (at least in comments if there are some things that might break - I can't imagine anything, however).

bindkey '\e[1~'   beginning-of-line  # Linux console
bindkey '\e[H'    beginning-of-line  # xterm
bindkey '\eOH'    beginning-of-line  # gnome-terminal
bindkey '\e[2~'   overwrite-mode     # Linux console, xterm, gnome-terminal
bindkey '\e[3~'   delete-char        # Linux console, xterm, gnome-terminal
bindkey '\e[4~'   end-of-line        # Linux console
bindkey '\e[F'    end-of-line        # xterm
bindkey '\eOF'    end-of-line        # gnome-terminal

PS. If something is still missing for some other terminal type, just pressing Ctrl+V followed by the offending key shows its keycode and then additional binding can easily be added.

Thanks.
Comment 2 Daniel Qarras 2008-08-31 12:59:24 EDT
PS. Without these binding and no ~/.z* no home/end/delete/insert worked so above is a *minimal* set bindings I could came up with.
Comment 3 Daniel Qarras 2008-10-04 05:17:16 EDT
Still seeing this with F10Beta.
Comment 4 Bug Zapper 2008-11-26 03:24:20 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 00:11:41 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.